package ei.game.scene.map;

import ei.engine.math.Vector2f;
import ei.engine.math.Vector2i;
import ei.engine.scene.Entity;
import ei.engine.scene.Sprite;
import ei.game.player.Player;
import ei.game.scene.SelectBox;
import ei.game.scene.buildings.Building;

public class Water extends Building{
	private static final String[] img = {
		"data/map/water.png"
	};
	private Sprite water;

	public Water(Vector2i pos, Player p) {
		super(Integer.MAX_VALUE, pos, p, 6);
	}
	
	public void initGraphics(){
		water = new Sprite("Water",img[(int)(Math.random()*img.length)]);
		water.setSize(new Vector2f(300, 300));
		getNode().add(water);	
	}

	@Override
	public Entity getSprite() {
		return water;
	}

	@Override
	public int getMaintenanceCost() {
		return 0;
	}

	@Override
	public Entity getGroundSprite() {
		return null;
	}

	@Override
	public void attack(Vector2i target, boolean play) {
		
	}

	@Override
	public void destroyed() {
			
	}

	@Override
	protected SelectBox getSelection() {
		return null;
	}
	
	public boolean isTerrain(){
		return true;
	}
	
}
